image: node:latest

variables:
  FIREBASE_TOKEN: ""

before_script:
  - apt-get --quiet update --yes
  - apt-get --quiet install --yes wget tar unzip lib32stdc++6 lib32z1

#  install node js
  - apt-get --quiet install -y build-essential
  - curl -sL http://deb.nodesource.com/setup_6.x | bash -
  - apt-get --quiet install -y nodejs
  - apt-get --quiet update --yes
  - npm -v
  - npm install -g yo
  - npm install -g generator-webapp
  - npm install -g grunt-cli
  - npm install -g bower
  - npm install -g yo
  - npm install -g generator-karma
  - npm install -g generator-angular

stages:
  - test
  - deploy

#deploy debug
test:
  stage: test
  script:
    - npm install
    - grunt build
  artifacts:
    paths:
    - dist/

#deploy build production
deploy:
  stage: deploy
  script:
    - npm install
    - grunt build
  artifacts:
    paths:
    - dist/
